<?xml version="1.0" encoding="UTF-8"?>
<actions>
        <action>
            <actionName>debug</actionName>
            <packagings>
                <packaging>jar</packaging>
            </packagings>
            <goals>
                <goal>process-classes</goal>
                <goal>org.codehaus.mojo:exec-maven-plugin:1.2.1:exec</goal>
            </goals>
            <properties>
                <exec.args>-Xdebug -Xrunjdwp:transport=dt_socket,server=n,address=${jpda.address} -Xmx10g -classpath %classpath org.thema.fracgis.MainFrame</exec.args>
                <exec.executable>java</exec.executable>
                <jpda.listen>true</jpda.listen>
                <exec.workingdir>/home/gvuidel</exec.workingdir>
            </properties>
        </action>
        <action>
            <actionName>run</actionName>
            <packagings>
                <packaging>jar</packaging>
            </packagings>
            <goals>
                <goal>process-classes</goal>
                <goal>org.codehaus.mojo:exec-maven-plugin:1.2.1:exec</goal>
            </goals>
            <properties>
                <exec.args>-Xmx10g -classpath %classpath org.thema.fracgis.MainFrame</exec.args>
                <exec.executable>java</exec.executable>
                <exec.workingdir>/home/gvuidel</exec.workingdir>
            </properties>
        </action>
        <action>
            <actionName>profile</actionName>
            <packagings>
                <packaging>jar</packaging>
            </packagings>
            <goals>
                <goal>process-classes</goal>
                <goal>org.codehaus.mojo:exec-maven-plugin:1.2.1:exec</goal>
            </goals>
            <properties>
                <exec.args>-Xmx10g -classpath %classpath org.thema.fracgis.MainFrame</exec.args>
                <exec.executable>java</exec.executable>
                <exec.workingdir>/home/gvuidel</exec.workingdir>
            </properties>
        </action>
    </actions>
